Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
ezpStaticCache Interface Reference

## Public Member Functions
| generateAlwaysUpdatedCache ( $quiet=false, $cli=false, $delay=true)
| generateNodeListCache ( $nodeList)
| generateCache ( $force=false, $quiet=false, $cli=false, $delay=true)
| cacheURL ( $url, $nodeID=false, $skipExisting=false, $delay=true)
| removeURL ( $url)

## Static Public Member Functions
static | executeActions ()

## Detailed Description

Definition at line 16 of file ezpstaticcache.php.

## Member Function Documentation

## ◆ cacheURL()

ezpStaticCache::cacheURL | ( |  | $url,
|  |  | $nodeID = `false`,
|  |  | $skipExisting = `false`,
|  |  | $delay = `true`
| ) |  |

Generates the caches for the url $url using the currently configured storageDirectory().

Parameters

  string | $url | The URL to cache, e.g /news
  int | false | $nodeID | The ID of the node to cache, if supplied it will also cache content/view/full/xxx.
  bool | $skipExisting | If true it will not unlink existing cache files.

Returns
  bool

## ◆ executeActions()

static ezpStaticCache::executeActions | ( |  | ) |
| static

This function goes over the list of recorded actions and excecutes them.

## ◆ generateAlwaysUpdatedCache()

ezpStaticCache::generateAlwaysUpdatedCache | ( |  | $quiet = `false`,
|  |  | $cli = `false`,
|  |  | $delay = `true`
| ) |  |

Generates the caches for all URLs that must always be generated.

Parameters

  bool | $quiet | If true then the function will not output anything.
  eZCLI | false | $cli | The eZCLI object or false if no output can be done.
  bool | $delay |

## ◆ generateCache()

ezpStaticCache::generateCache | ( |  | $force = `false`,
|  |  | $quiet = `false`,
|  |  | $cli = `false`,
|  |  | $delay = `true`
| ) |  |

Generates the static cache from the configured INI settings.

Parameters

  bool | $force | If true then it will create all static caches even if it is not outdated.
  bool | $quiet | If true then the function will not output anything.
  eZCLI | false | $cli | The eZCLI object or false if no output can be done.
  bool | $delay |

## ◆ generateNodeListCache()

ezpStaticCache::generateNodeListCache | ( |  | $nodeList | ) |

Requests the StaticCache handler to (re-)generate cache for a given node list.

Parameters

  array | $nodeList | Node list

Returns
  bool True if the operation succeed.

## ◆ removeURL()

ezpStaticCache::removeURL | ( |  | $url | ) |

Removes the static cache file (index.html) and its directory if it exists. The directory path is based upon the URL $url and the configured static storage dir.

Parameters

  string | $url | The URL for the current item, e.g /news

The documentation for this interface was generated from the following file:

- ezpstaticcache.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.